Очередная уязвимость в TimThumb скрипте

Найдена очередная уязвимость в скрипте TimThumb, который позволяет автоматически уменьшать картинки на блоге. Данная уязвимость находится в утилите WebShot и позволяет злоумышленникам выполнить произвольные команды на сервере жертвы, в частности можно создавать и удалять файлы в папках сайта, кроме этого есть другие возможности.

К великой радости тех, кто еще пользуется этим скриптом, функция WebShot изначально в нем отключена, для повышения безопасности, но задуматься о том, чтобы скачать обновленную версию скрипта, где эта уязвимость устранена необходимо прямо сейчас. В Google Code уже доступна новая версия, скачайте ее и замените на вашем сервере.

Сам же автор этого скрипта, рекомендует отказаться от его использования, т.к. сам не пользуется им с 2011 года. WordPress поддерживает функционал уменьшения картинок и превьюшек для записей в блоге, поэтому темы которые раньше использовали timthumb скрипт, могут быть переписаны для работы с встроенным функционалом WordPress.

Оставьте комментарий Ваш шанс быть услышанным!